org.openmuc.openiec61850

## Class FcDataObject

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.FcDataObject

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

Direct Known Subclasses:
  Rcb

    public class FcDataObject
    extends FcModelNode

This class represents a functionally constraint DataObject. That means it has unique reference and FunctionalConstraint. A DataObject as defined in part 7-3 is made up of 1..n FcDataObjects where n is the number of different FunctionalConstraints that the children of the DataObject have. An FcDataObject can have children of types FcDataObject, Array, ConstructedDataAttribute or BasicDataAttribute.

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`FcDataObject(ObjectReference objectReference, Fc fc, java.util.List<FcModelNode> children)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FcDataObject` `copy()` Returns a copy of model node with all of its children.

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FcDataObject

    public FcDataObject(ObjectReference objectReference,
                        Fc fc,
                        java.util.List<FcModelNode> children)

### Method Detail

#### copy

    public FcDataObject copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.